Results 1 to 10 of 10
Discuss Can you upgrade from 3.1.2 to 4.0.1 (but not the newest) at the iOS 4.x (iPhone OS 4.x) - Hackint0sh.org; How would you go about doing this? Same as regular via itunes? I dont want ...
  1. #1
    Newbie Array

    Join Date
    Oct 2010
    Posts
    6
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default Can you upgrade from 3.1.2 to 4.0.1 (but not the newest)

    How would you go about doing this? Same as regular via itunes? I dont want to update to the newest out if it cant be jailbroken yet, just tired of "sad iphone" every 10 minutes on 3.1.2 Thanks!



  2. #2
    Super Moderator Array Olethros's Avatar

    Join Date
    Sep 2007
    Location
    Norway
    Posts
    8,360
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    439

    Default

    What model iPhone? This is generally only possible if you have saved a shsh for 4.0.1 before apple stopped issuing these.
    Please read the stickies & search forum before posting!
    How to report an iTunes restore/update fail in a useful manner
    -

    iPad 3G 64GB (4.3.3, Redsn0w) oldest SHSH 3.2.2
    iPhone 4 32GB (4.2.1, Redsn0w JB-monte) oldest SHSH 4.1
    iPhone 3GS 32GB (4.3.3; Pwnagetool) factory unlocked oldest SHSH 3.1
    iPhone 8GB (3.1.3; Pwnagetool) AT&T Locked - Unlocked with bootneuter

    -
    Did we solve your problem? Got a dollar or two spare ? Donate!

  3. #3
    Newbie Array

    Join Date
    Oct 2010
    Posts
    6
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default

    I have a 3GS. I just keep getting the "sad iphone" stuff all the time and just going to update it to get rid of it, as long as a jailbreak/unlock is out for whatever the newest version is, I can just update to that

  4. #4
    Newbie Array

    Join Date
    Oct 2010
    Posts
    6
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default

    Im currently have 3GS with 3.1.2 and baseband 5.11.07 (is that the new, or old baseband?) It was jailbroken with blackra1n. I dont mind updating to the newest 4.1 as long as it can still be jailbroken/unlocked. I was reading tutorials but im confused with the talk of old/new baseband etc. Thanks!

  5. #5
    Super Moderator Array Olethros's Avatar

    Join Date
    Sep 2007
    Location
    Norway
    Posts
    8,360
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    439

    Default

    Quote Originally Posted by Necrosaro420 View Post
    Im currently have 3GS with 3.1.2 and baseband 5.11.07 (is that the new, or old baseband?) It was jailbroken with blackra1n. I dont mind updating to the newest 4.1 as long as it can still be jailbroken/unlocked. I was reading tutorials but im confused with the talk of old/new baseband etc.!
    With blackra1n do you need to run blackra1n each time you restart your iPhone?

    Are you still using blacksn0w as your unlock ? If so.. You really should switch to ultrasn0w.

    Don't confuse baseband with bootrom.

    Baseband version is only relevant to unlock. Your baseband can be unlocked with both ultrasn0w and blacksn0w. I recommend you avoid blacksn0w as it has documented problems. The only baseband that is not able to be unlocked is the baseband that is included with iOS 4.1. Do not update to iOS 4.1 if you value your unlock.

    Bootrom is fixed and cannot be upgraded via software. There are two bootrom versions for the 3GS. The older bootrom will not require that you run blackra1n each time you start the iPhone. Old bootrom also allows much more flexibility in preventing baseband upgrade when upgrading to a newer version of iOS.

    Sad iPhone is an indicator of a buggy mobilesubstrate add-on. These can be removed via cydia. Keep in mind that ultrasn0w uses mobilesubstrate so you cannot simply uninstall mobilesubstrate.

    Did you choose the "make my life easier" option in cydia?
    Please read the stickies & search forum before posting!
    How to report an iTunes restore/update fail in a useful manner
    -

    iPad 3G 64GB (4.3.3, Redsn0w) oldest SHSH 3.2.2
    iPhone 4 32GB (4.2.1, Redsn0w JB-monte) oldest SHSH 4.1
    iPhone 3GS 32GB (4.3.3; Pwnagetool) factory unlocked oldest SHSH 3.1
    iPhone 8GB (3.1.3; Pwnagetool) AT&T Locked - Unlocked with bootneuter

    -
    Did we solve your problem? Got a dollar or two spare ? Donate!


  6. #6
    Newbie Array

    Join Date
    Oct 2010
    Posts
    6
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default

    Thanks for the reply. Nope I dont have to reuse blackra1in every time, I can just reboot normal and everything stays. As far as "make your life easier", Im not sure. I purchased the phone already jailbroken. How can I tell if blacksn0w is my unlock or not?

  7. #7
    Newbie Array

    Join Date
    Oct 2010
    Posts
    6
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default

    I used tinyumbrella and entered my ecid # there, chose version 4.0.2 and it said Cydia has my SHSH, does that mean the "make life easier" was previously selected?

  8. #8
    Super Moderator Array Olethros's Avatar

    Join Date
    Sep 2007
    Location
    Norway
    Posts
    8,360
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    439

    Default

    Quote Originally Posted by Necrosaro420 View Post
    I used tinyumbrella and entered my ecid # there, chose version 4.0.2 and it said Cydia has my SHSH, does that mean the "make life easier" was previously selected?
    Yes, you have a SHSH for 4.0.2
    Please read the stickies & search forum before posting!
    How to report an iTunes restore/update fail in a useful manner
    -

    iPad 3G 64GB (4.3.3, Redsn0w) oldest SHSH 3.2.2
    iPhone 4 32GB (4.2.1, Redsn0w JB-monte) oldest SHSH 4.1
    iPhone 3GS 32GB (4.3.3; Pwnagetool) factory unlocked oldest SHSH 3.1
    iPhone 8GB (3.1.3; Pwnagetool) AT&T Locked - Unlocked with bootneuter

    -
    Did we solve your problem? Got a dollar or two spare ? Donate!

  9. #9
    Newbie Array

    Join Date
    Oct 2010
    Posts
    6
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default

    Quote Originally Posted by Olethros View Post
    Yes, you have a SHSH for 4.0.2
    Sounds good. Does that mean I can download the 4.0.2 firmware and upgrade to 4.0.2 w/o upgrading to the full 4.1? If so, do you know of any tutorials of how I can do this correctly? Thanks!

  10. #10
    Super Moderator Array Olethros's Avatar

    Join Date
    Sep 2007
    Location
    Norway
    Posts
    8,360
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    439

    Default

    Quote Originally Posted by Necrosaro420 View Post
    Sounds good. Does that mean I can download the 4.0.2 firmware and upgrade to 4.0.2 w/o upgrading to the full 4.1? If so, do you know of any tutorials of how I can do this correctly? Thanks!
    I don't know if "upgrade" is supported by cached SHSH. Restore definitely is.

    As you had "problems" with your current install, I would recommend a restore and then setting up the iPhone as new, that gets rid of any old data you have (but more importantly removes the chance that your current problem doesn't reoccur)

    Also if you have access to a Mac, Pwnagetool 4.1 can take you to iOS 4.1 and keep your ultrasn0w unlock.
    Please read the stickies & search forum before posting!
    How to report an iTunes restore/update fail in a useful manner
    -

    iPad 3G 64GB (4.3.3, Redsn0w) oldest SHSH 3.2.2
    iPhone 4 32GB (4.2.1, Redsn0w JB-monte) oldest SHSH 4.1
    iPhone 3GS 32GB (4.3.3; Pwnagetool) factory unlocked oldest SHSH 3.1
    iPhone 8GB (3.1.3; Pwnagetool) AT&T Locked - Unlocked with bootneuter

    -
    Did we solve your problem? Got a dollar or two spare ? Donate!


 

 

Similar Threads

  1. Replies: 0
    Last Post: 11-18-2010, 08:14 PM
  2. Version 1.0.2 to the newest possible - help!
    By carol18 in forum iOS 3.x (iPhone OS 3.x)
    Replies: 2
    Last Post: 09-15-2009, 04:59 PM
  3. Updating from 10.5.2 to 10.5.newest!
    By renegadeandy in forum Installation
    Replies: 5
    Last Post: 12-22-2008, 05:44 PM
  4. 1.1.2 OOTB BL 4.6 --> upgrade FW 1.1.3 JB with newest BB?
    By geetzer in forum iPhone "2G" (Rev. 1)
    Replies: 0
    Last Post: 02-11-2008, 05:36 PM
  5. 1.1.1 still the newest version...
    By Magicpie2007 in forum General
    Replies: 10
    Last Post: 11-09-2007, 08:18 PM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
Powered by vBulletin®
Copyright © 2014 vBulletin Solutions, Inc. All rights reserved.
Search Engine Friendly URLs by vBSEO
(c) 2006-2012 Hackint0sh.org
All times are GMT +2. The time now is 06:23 PM.
twitter, follow us!